%define name gftp-static
%define fname gftp
%define version 1.12
%define release 1
%define serial 1

Summary: gFTP is a multithreaded FTP client for X Windows written using Gtk.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: X11/Utilities
Conflicts: gftp
URL: http://www.newwave.net/~masneyb/
Vendor: Brian Masney <masneyb@newwave.net>
Source: http://www.newwave.net/~masneyb/%{fname}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /tmp/%{name}-%{version}

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk.
It allows to have simultaneous downloads, resuming of interrupted
file transfers, file transfer queues, a very nice connection manager
and many more features.

%prep
%setup -q -n %{fname}-%{version}

%build
make CC="gcc -static $RPM_OPT_FLAGS" PREFIX=/usr/X11R6

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,/share/gftp}
make CC="gcc -static $RPM_OPT_FLAGS" PREFIX=$RPM_BUILD_ROOT/usr/X11R6 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README rfc959.txt
%attr(755,root,root) /usr/X11R6/bin/gftp
%attr(755,root,root) /usr/X11R6/share/gftp

%changelog
* Tue Feb 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-1.12-1]
- Added the ability to edit local and remote files
- Added the ability to associate with a file extension a file viewer
  and the default download type (ASCII or BINARY).
- Added anti-idle tool. Please do not abuse this feature
- Better remote symlink handling
- Removed some icons from the distribution
- Added another FTP proxy type
- Several small enhancements

* Mon Feb  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-static-1.11-1]
- Fixed some problems connecting to some ftp servers
- Fixed resume transfer problems
- Fixed some ftp proxy login problems
- Fixed problems with gFTP sometimes crashing

* Wed Feb  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-static-1.1-1]
- Added FTP proxy server support
- Added ability to download entire directories and their subdirectories
- Added non-passive file transfers (using PORT command)
- Added ability to restrict files in the listboxes to a particular filemask
- Added geometry management. gFTP can automatically save the geometry of it's 
  widgets for next time you start it back up.
- Added more config file options. Most can be set within gFTP itself
- Several small dialog enhancements
- Fixed problems with connecting to Serv-U FTP Servers
- Fixed date sorting problem
- Fixed problem with gFTP trying to view some remote dirs when they were
  double clicked
- Fixed problem with gFTP sometimes crashing after some file transfers

* Mon Jan 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-static-1.0-1]
- Could not compile with gtk+-1.1.3 installed gtk+-1.1.12 to compile.
  ...
- Drag-N-Drop support added
- Added caching of remote directory listings. The cache will automatically
  be cleared when gFTP exits.
- You can now tell gFTP to only transfer one file at a time. When one
  transfer finishes the next one starts. You can still have multiple
  transfers going at the same time
- Added ability to view files. Also, when you double click on a file in the
  listboxes it will view that file. If you double click a directory, it will
  still change to it.
- Added Open URL menu item under the Remote menu
- Several connection manager enhancements
- Several bug fixes and code improvements
- Added a few more default sites to the config file

* Mon Jan 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-static-0.21-1]
- Requested Staticly compiled version...

* Tue Jan  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-0.21-1]
- Removed %post script... bin takes care of it...
- Changes from 0.2 to 0.21
  * Added Compare Windows feature. It will select the files in both windows
  * make install will now copy some necessary XPM and config files to
    /usr/local/share/gftp. When a new user first runs gftp, it will copy the
    config file from there to their home directory and add their email address
    to the config file.
  * Fixed some disconnect problems when the socket would close prematuraly
  * Changed all occurances of snprintf, vsnprintf, and sys_errlist to
    g_snprintf, g_vsnprintf, and g_strerror respectively. Should now compile
    cleanly on most platforms.
  * Fixed ItemFactory callbacks. Should now work fine on 64bit machines.
  * Added a few more icons to the distribution for the file listboxes.

* Mon Dec 28 1998 Ryan Weaver <ryanw@infohwy.com>
  [gftp-0.2-1]
- First RPM of gftp.
- Changes from 0.1 to 0.2
  * Completely rewritten in gtk instead of Motif
  * Fixed problems with parsing of some directory listings
  * Fixed problems with reading responses from certain FTP servers
  * Supports connecting to a FTP server via command line parameters
    You can now type: gftp user:pass@ftp-site:port/directory. You don't have
    to specify all of the options, like user:pass, port and directory.
  * More informative error messages
  * Sorting capabilites in the listboxes
  * Colorized text in the log window
  * Allows saving the text in the log window to a file
  * Added disconnect from ftp server
  * Various code cleanups
  * Removed about dialog box
